Package org.apache.qpid.proton.amqp.transport

# Interface AmqpError

public interface AmqpError

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Symbol`
`DECODE_ERROR`
`static final Symbol`
`FRAME_SIZE_TOO_SMALL`
`static final Symbol`
`ILLEGAL_STATE`
`static final Symbol`
`INTERNAL_ERROR`
`static final Symbol`
`INVALID_FIELD`
`static final Symbol`
`NOT_ALLOWED`
`static final Symbol`
`NOT_FOUND`
`static final Symbol`
`NOT_IMPLEMENTED`
`static final Symbol`
`PRECONDITION_FAILED`
`static final Symbol`
`RESOURCE_DELETED`
`static final Symbol`
`RESOURCE_LIMIT_EXCEEDED`
`static final Symbol`
`RESOURCE_LOCKED`
`static final Symbol`
`UNAUTHORIZED_ACCESS`

## Field Details

### INTERNAL_ERROR

static final Symbol INTERNAL_ERROR

### NOT_FOUND

static final Symbol NOT_FOUND

### UNAUTHORIZED_ACCESS

static final Symbol UNAUTHORIZED_ACCESS

### DECODE_ERROR

static final Symbol DECODE_ERROR

### RESOURCE_LIMIT_EXCEEDED

static final Symbol RESOURCE_LIMIT_EXCEEDED

### NOT_ALLOWED

static final Symbol NOT_ALLOWED

### INVALID_FIELD

static final Symbol INVALID_FIELD

### NOT_IMPLEMENTED

static final Symbol NOT_IMPLEMENTED

### RESOURCE_LOCKED

static final Symbol RESOURCE_LOCKED

### PRECONDITION_FAILED

static final Symbol PRECONDITION_FAILED

### RESOURCE_DELETED

static final Symbol RESOURCE_DELETED

### ILLEGAL_STATE

static final Symbol ILLEGAL_STATE

### FRAME_SIZE_TOO_SMALL

static final Symbol FRAME_SIZE_TOO_SMALL